notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
py-pyliblzma Python binding for the LZMA compression library
0.5.3_6 archivers on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port 0.5.3Version of this port present on the latest quarterly branch.
Maintainer: dbn@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2015-11-30 08:37:45
Last Update: 2017-04-17 19:42:12
SVN Revision: 438741
Also Listed In: python
License: LGPL3
Description:
SVNWeb : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (3 items)
  1. /usr/local/share/licenses/py27-pyliblzma-0.5.3_6/catalog.mk
  2. /usr/local/share/licenses/py27-pyliblzma-0.5.3_6/LICENSE
  3. /usr/local/share/licenses/py27-pyliblzma-0.5.3_6/LGPL3
Collapse this list.
Dependency lines:
  • py27-pyliblzma>0:archivers/py-pyliblzma
To install the port: cd /usr/ports/archivers/py-pyliblzma/ && make install clean
To add the package: pkg install py27-pyliblzma
PKGNAME: py27-pyliblzma
Flavors: there is no flavor information for this port.
distinfo:

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. pkgconf>=1.3.0_1 : devel/pkgconf
  2. py27-setuptools>0 : devel/py27-setuptools
  3. python2.7 : lang/python27
Runtime dependencies:
  1. py27-setuptools>0 : devel/py27-setuptools
  2. python2.7 : lang/python27
This port is required by:
for Run
  1. net/fb
  2. sysutils/bsdploy

Configuration Options

USES:

Master Sites:
  1. https://files.pythonhosted.org/packages/source/p/pyliblzma/
  2. https://pypi.python.org/packages/source/p/pyliblzma/
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2017-11-30
    Affects: */py*
    Author: mat@FreeBSD.org
    Reason: 
      Ports using Python via USES=python are now flavored.  All the py3-* ports
      have been removed and folded into their py-* master ports.
    
      People using Poudriere 3.2+ and binary packages do not have to do anything.
    
      For other people, to build the Python 3.6 version of, for example,
      databases/py-gdbm, you need to run:
    
        # make FLAVOR=py36 install
    
    
Port Moves
  • port moved here from archivers/py-liblzma on 2015-11-30
    REASON: Rename to match upstream (PyPI) naming

Number of commits found: 5

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
17 Apr 2017 18:42:12
Original commit files touched by this commit  0.5.3_6
Revision:438741
dbn search for other commits by this committer
archivers/py-pyliblzma: fix python version restriction

The python restriction requires the '-' before the version, not after.

Reported by:	koobs@
14 Apr 2017 12:58:20
Original commit files touched by this commit  0.5.3_6
Revision:438510
dbn search for other commits by this committer
archivers/py-pyliblzma: restrict supported python version

This port only supports Python 2.
26 Jul 2016 16:51:16
Original commit files touched by this commit  0.5.3_6
Revision:419133
mat search for other commits by this committer
Cleanup patches, a* categories.

Rename them to follow the make makepatch naming, and regenerate them.

With hat:	portmgr
Sponsored by:	Absolight
30 Nov 2015 11:43:13
Original commit files touched by this commit  0.5.3_6
Revision:402663
antoine search for other commits by this committer
Finish pyliblzma rename (and unbreak dependent ports)
30 Nov 2015 08:37:38
Original commit files touched by this commit  0.5.3_5
Revision:402654
koobs search for other commits by this committer
archivers/py-liblzma: Rename to pylibzma, Modernize

- Rename to match upstream (PyPI) name: pylibzma
- Backport upstream issue/commit to fix build without pkg-config [1][2]
- Remove post-patch: target, no longer necessary
- Remove other setup.py overrides, back to upstream sources
- Add do-test target:
- Add LICENSE_FILE
- Add MOVED entry

While I'm here:

- Update sysutils/bsdploy dependency

[1] https://bugs.launchpad.net/pyliblzma/+bug/613837
[2] https://bazaar.launchpad.net/~proyvind/pyliblzma/trunk/revision/494

Reviewed by:		sbz
Approved by:		dbn (maintainer timeout, 15 days)
Differential Revision:	D4161

Number of commits found: 5

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
drm-current-kmodNov 20
drm-devel-kmodNov 20
drm-fbsd12.0-kmodNov 20
squidNov 19
libidn2Nov 18
gcpioNov 15
libmadNov 13
chromiumNov 12
wordpressNov 12
wordpressNov 12
wordpressNov 12
wordpressNov 12
wordpressNov 12
nexus2-ossNov 07
php71Nov 06

9 vulnerabilities affecting 115 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-11-20 10:58:20


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 38084
Broken 777
Deprecated 95
Ignore 1047
Forbidden 3
Restricted 157
No CDROM 72
Vulnerable 33
Expired 7
Set to expire 65
Interactive 0
new 24 hours 4
new 48 hours7
new 7 days27
new fortnight63
new month132

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.